org.eclipse.ecf.provider.dnssd

## Class BnRDnsSdServiceTypeID

- java.lang.Object
- - org.eclipse.ecf.core.identity.BaseID
  - - org.eclipse.ecf.discovery.identity.ServiceTypeID
    - - org.eclipse.ecf.provider.dnssd.DnsSdServiceTypeID
      - - org.eclipse.ecf.provider.dnssd.BnRDnsSdServiceTypeID

All Implemented Interfaces:
  Serializable, Comparable, Principal, org.eclipse.core.runtime.IAdaptable, ID, IServiceTypeID

    public class BnRDnsSdServiceTypeID
    extends DnsSdServiceTypeID

This ServiceType represents the special RRs defined in chapter 12. Discovery of Browsing and Registration Domains see http://files.dns-sd.org/draft-cheshire-dnsext-dns-sd.txt

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.eclipse.ecf.discovery.identity.ServiceTypeID

`DELIM, namingAuthority, protocols, scopes, services, typeName`

### Fields inherited from class org.eclipse.ecf.core.identity.BaseID

`namespace`

### Fields inherited from interface org.eclipse.ecf.discovery.identity.IServiceTypeID

`DEFAULT_NA, DEFAULT_PROTO, DEFAULT_SCOPE`

### Method Summary

### Methods inherited from class org.eclipse.ecf.discovery.identity.ServiceTypeID

`createType, equals, getInternal, getName, getNamingAuthority, getProtocols, getScopes, getServices, hashCode, namespaceCompareTo, namespaceEquals, namespaceGetName, namespaceHashCode, toString`

### Methods inherited from class org.eclipse.ecf.core.identity.BaseID

`compareTo, getAdapter, getNamespace, namespaceToExternalForm, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.discovery.identity.IServiceTypeID

`getInternal, getNamingAuthority, getProtocols, getScopes, getServices`

### Methods inherited from interface org.eclipse.ecf.core.identity.ID

`equals, getName, getNamespace, hashCode, toExternalForm`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface java.security.Principal

`implies, toString`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`